/*
 * Copyright DataStax, Inc.
 *
 * This software can be used solely with DataStax Enterprise. Please consult the license at
 * http://www.datastax.com/terms/datastax-dse-driver-license-terms
 */
package com.datastax.dse.driver.api.core.metadata.schema;

import com.datastax.oss.driver.api.core.CqlIdentifier;
import com.datastax.oss.driver.api.core.metadata.schema.TableMetadata;
import edu.umd.cs.findbugs.annotations.NonNull;
import java.util.Map;

/**
 * Specialized table metadata for the DSE driver.
 *
 * <p>The only difference with {@link TableMetadata} is that all sub-elements are specialized for
 * DSE (e.g. {@link #getIndexes()} returns {@link DseIndexMetadata} instances).
 */
public interface DseTableMetadata extends DseRelationMetadata, TableMetadata {

  @NonNull
  @Override
  Map<CqlIdentifier, ? extends DseIndexMetadata> getIndexes();
}
