/*
 * Copyright DataStax, Inc.
 *
 * This software can be used solely with DataStax Enterprise. Please consult the license at
 * http://www.datastax.com/terms/datastax-dse-driver-license-terms
 */
package com.datastax.dse.driver.api.core.metadata.schema;

import com.datastax.oss.driver.api.core.metadata.schema.ViewMetadata;

/**
 * Specialized materialized view metadata for the DSE driver.
 *
 * <p>The only difference with {@link ViewMetadata} is that all columns are represented as {@link
 * DseColumnMetadata} instances.
 */
public interface DseViewMetadata extends DseRelationMetadata, ViewMetadata {}
