/*
 * Copyright DataStax, Inc.
 *
 * This software can be used solely with DataStax Enterprise. Please consult the license at
 * http://www.datastax.com/terms/datastax-dse-driver-license-terms
 */
package com.datastax.dse.driver.internal.core.metadata;

import com.datastax.oss.driver.internal.core.context.InternalDriverContext;
import com.datastax.oss.driver.internal.core.metadata.MetadataManager;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class DseMetadataManager extends MetadataManager {

  public DseMetadataManager(InternalDriverContext context) {
    // We just need to initialize the manager with the correct type. It will be preserved in future
    // updates because metadata is only mutated via withNodes and withSchema.
    // The manager itself is oblivious to the fact that it manipulates a DefaultMetadata subtype,
    // clients cast to DseMetadata at runtime.
    super(context, DefaultDseMetadata.EMPTY);
  }
}
