# Datastax Enterprise Java Driver

A modern, feature-rich and highly tunable Java client library for [Datastax Enterprise] \(4.7+\),
built on top of the robust, efficient and highly configurable
[Datastax Java Driver for Apache Cassandra®][oss].

The Datastax Enterprise Java Driver can only be used with Datastax Enterprise as per its
[license](#license). 

[DataStax Enterprise]: https://www.datastax.com/products/datastax-enterprise
[oss]: https://docs.datastax.com/en/developer/java-driver/4.0-beta/

## Getting the driver

The driver artifacts are published in Maven central, under the group id [com.datastax.dse]; there
are multiple modules, all prefixed with `dse-java-driver-`. Refer to the [manual] for more details.

[com.datastax.dse]: http://search.maven.org/#search%7Cga%7C1%7Cg%3A%22com.datastax.dse%22
[manual]: manual/

## Migrating from previous versions

DSE driver 2 is **not binary compatible** with previous versions. However, most of the concepts
remain unchanged, and the new API will look very familiar to 1.x users.

See the [upgrade guide](upgrade_guide/) for details.

## Useful links

* [Manual][manual]
* [API docs]
* Bug tracking: [JIRA]
* [Mailing list]
* Twitter: [@dsJavaDriver] tweets Java driver releases and important announcements (low frequency).
    [@DataStaxEng] has more news, including other drivers, Cassandra, and DSE.
* [Changelog]
* [FAQ]

[API docs]: https://docs.datastax.com/en/drivers/java-dse/2.0
[JIRA]: https://datastax-oss.atlassian.net/browse/JAVA
[Mailing list]: https://groups.google.com/a/lists.datastax.com/forum/#!forum/java-driver-user
[@dsJavaDriver]: https://twitter.com/dsJavaDriver
[@DataStaxEng]: https://twitter.com/datastaxeng
[Changelog]: changelog/
[FAQ]: faq/

## License

Copyright (C) 2012-2018 DataStax Inc.

The full license terms are available at
http://www.datastax.com/terms/datastax-dse-driver-license-terms