#!/bin/bash -ex
command -v mvn >/dev/null 2>&1 || { echo >&2 "Apache Maven(tm) must be installed to run this script."; exit 1; }

VERSION=2.0.0-rc1
PARENT_POM=dse-java-driver-parent-$VERSION.pom

mvn org.apache.maven.plugins:maven-install-plugin:2.5.2:install-file -Dpackaging=pom -DpomFile=$PARENT_POM -Dfile=$PARENT_POM

for DEP in *-$VERSION.jar; do
    JAR_FILE=$(basename $DEP)
    POM_FILE=${JAR_FILE/.jar/.pom}
    mvn org.apache.maven.plugins:maven-install-plugin:2.5.2:install-file -Dfile=$JAR_FILE -DpomFile=$POM_FILE -Dpackaging=jar
done